﻿@model HOD.Models.RegisterFreeBaseModel
@{
    
    Layout = null;
}
<!DOCTYPE html>
<html lang="en">

<head>

    <meta charset="utf-8">
    <title>CasaVue Sign-Up</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="">
    <meta name="author" content="">

    <!-- CSS -->
    <link rel='stylesheet' href='http://fonts.googleapis.com/css?family=PT+Sans:400,700'>
    <link rel='stylesheet' href='http://fonts.googleapis.com/css?family=Oleo+Script:400,700'>
    <!--link rel="stylesheet" href="assets/bootstrap/css/bootstrap.min.css">
    <link rel="stylesheet" href="assets/css/style.css"-->
    <link rel="stylesheet" href="~/Content/freeTier/assets/bootstrap/css/bootstrap.min.css" />
    <link rel="stylesheet" href="~/Content/freeTier/assets/css/style.css" />
    <!-- HTML5 shim, for IE6-8 support of HTML5 elements -->
    <!--[if lt IE 9]>
            <script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
        <![endif]-->

</head>

<body>

    <div class="header">
        <div class="container">
            <div class="row">
                <div class="logo span4">
                    <h1><a href="">ApexProducer<span class="red">&nbsp;Sign-Up</span></a></h1>
                </div>
            </div>
        </div>
    </div>

    <div class="register-container container">
        <div class="row">
            <div class="iphone span5">
                <!--img src="assets/img/iphone.png" alt=""-->
                <img src="~/Content/freeTier/assets/img/iphone.png" alt="">
            </div>
            <div class="register span6">

                @using (Html.BeginForm("RegisterFreeSave", "Account", FormMethod.Post))
                {
                           
                    @Html.AntiForgeryToken()
                    @Html.ValidationSummary()                                                                                     
                                       
                        
                    if (Model == null){
                        @:<h2>FREE  <span class="red"><strong>ACCOUNT (Agents Only)</strong></span></h2>    
                    } else {
                        if (Model.UserType.ToUpper() == "SELLER"){
                            @:<h2>FREE  <span class="red"><strong>CASAVUE ACCOUNT</strong></span></h2>
                        } else {
                            @:<h2>FREE  <span class="red"><strong>ACCOUNT (Agents Only)</strong></span></h2>                                                    
                        }
                    }   
                        
                    <label for="firstname">First Name</label>
                    @Html.TextBoxFor(x => x.FirstName, new { @id = "firstname", @name = "firstname", @placeholder = "enter your first name..." })

                    <label for="lastname">Last Name</label>
                    @Html.TextBoxFor(x => x.LastName, new { @id = "lastname", @name = "lastname", @placeholder = "enter your last name..." })
                    <label for="username">Email Address:</label>
                    @Html.TextBoxFor(x => x.UserName, new { @id = "username", @name = "username", @placeholder = "enter your email address..." })
                    <label for="password">Password</label>
                    @Html.PasswordFor(x => x.Password, new { @id = "username", @name = "username", @placeholder = "choose a password..." })
                    <button type="submit">Get Started</button>
                    @Html.HiddenFor(x=> x.UserType, new {@id ="usertype"})
                }
            </div>
        </div>
    </div>

    <!-- Javascript -->
    <script src="~/Content/freeTier/assets/js/jquery-1.8.2.min.js"></script>
    <script src="~/Content/freeTier/assets/bootstrap/js/bootstrap.min.js"></script>
    <script src="~/Content/freeTier/assets/js/jquery.backstretch.min.js"></script>
    <script src="~/Content/freeTier/assets/js/scripts.js"></script>

    <!--script src="assets/js/jquery-1.8.2.min.js"></!--script>
    <script src="assets/bootstrap/js/bootstrap.min.js"></script>
    <script src="assets/js/jquery.backstretch.min.js"></script>
    <script src="assets/js/scripts.js"></script-->

</body>

</html>

